package com.technical.test.mandiri.Database.Model;

import java.util.Map;

import org.greenrobot.greendao.AbstractDao;
import org.greenrobot.greendao.AbstractDaoSession;
import org.greenrobot.greendao.database.Database;
import org.greenrobot.greendao.identityscope.IdentityScopeType;
import org.greenrobot.greendao.internal.DaoConfig;

import com.technical.test.mandiri.Database.Model.KeywordSearch;
import com.technical.test.mandiri.Database.Model.Categories;

import com.technical.test.mandiri.Database.Model.KeywordSearchDao;
import com.technical.test.mandiri.Database.Model.CategoriesDao;

// THIS CODE IS GENERATED BY greenDAO, DO NOT EDIT.

/**
 * {@inheritDoc}
 * 
 * @see org.greenrobot.greendao.AbstractDaoSession
 */
public class DaoSession extends AbstractDaoSession {

    private final DaoConfig keywordSearchDaoConfig;
    private final DaoConfig categoriesDaoConfig;

    private final KeywordSearchDao keywordSearchDao;
    private final CategoriesDao categoriesDao;

    public DaoSession(Database db, IdentityScopeType type, Map<Class<? extends AbstractDao<?, ?>>, DaoConfig>
            daoConfigMap) {
        super(db);

        keywordSearchDaoConfig = daoConfigMap.get(KeywordSearchDao.class).clone();
        keywordSearchDaoConfig.initIdentityScope(type);

        categoriesDaoConfig = daoConfigMap.get(CategoriesDao.class).clone();
        categoriesDaoConfig.initIdentityScope(type);

        keywordSearchDao = new KeywordSearchDao(keywordSearchDaoConfig, this);
        categoriesDao = new CategoriesDao(categoriesDaoConfig, this);

        registerDao(KeywordSearch.class, keywordSearchDao);
        registerDao(Categories.class, categoriesDao);
    }
    
    public void clear() {
        keywordSearchDaoConfig.clearIdentityScope();
        categoriesDaoConfig.clearIdentityScope();
    }

    public KeywordSearchDao getKeywordSearchDao() {
        return keywordSearchDao;
    }

    public CategoriesDao getCategoriesDao() {
        return categoriesDao;
    }

}
